<?php

namespace xenarabia\BestAnswer;

use XF\AddOn\AbstractSetup;
use XF\AddOn\StepRunnerInstallTrait;
use XF\AddOn\StepRunnerUninstallTrait;
use XF\AddOn\StepRunnerUpgradeTrait;

use XF\Db\Schema\Alter;
use XF\Db\Schema\Create;

class Setup extends AbstractSetup
{
	use StepRunnerInstallTrait;
	use StepRunnerUpgradeTrait;
	use StepRunnerUninstallTrait;

	public function installStep1()
	{
		$this->schemaManager()->alterTable('xf_thread', function(Alter $table)
		{
			$table->addColumn('xena_post_ba', 'int', 255)->setDefault(0);
			$table->addColumn('xena_userid_ba', 'int')->setDefault(0);
		});
	}

	public function upgrade1000020Step1(array $stepParams = [])
	{
		$this->schemaManager()->alterTable('xf_thread', function(Alter $table)
		{
			$table->addColumn('xena_post_ba', 'int', 255)->setDefault(0);
			$table->addColumn('xena_userid_ba', 'int')->setDefault(0);
		});
	}
	
	

	public function upgrade1000030Step1(array $stepParams = [])
	{
		$this->schemaManager()->alterTable('xf_thread', function(Alter $table)
		{
			$table->addColumn('xena_post_ba', 'int', 255)->setDefault(0);
			$table->addColumn('xena_userid_ba', 'int')->setDefault(0);
		});
	}
	
	public function uninstall(array $stepParams = [])
	{
		$this->schemaManager()->alterTable('xf_thread', function(Alter $table)
		{
			$table->dropColumns('xena_post_ba', 'varchar');
			$table->dropColumns('xena_userid_ba', 'int');
		});
	}
}